## juce 5.4.1+really5.4.1~repack

=== examples/DemoRunner/Builds/LinuxMakefile/Makefile ===
# Automatically generated makefile, created by the Projucer
# Don't edit this file! Your changes will be overwritten when you re-save the Projucer project!

# build with "V=1" for verbose builds
ifeq ($(V), 1)
V_AT =
else
V_AT = @
endif

# (this disables dependency generation if multiple architectures are set)
DEPFLAGS := $(if $(word 2, $(TARGET_ARCH)), , -MMD)

ifndef STRIP
  STRIP=strip
endif

ifndef AR
  AR=ar
endif

ifndef CONFIG
  CONFIG=Debug
endif

JUCE_ARCH_LABEL := $(shell uname -m)

ifeq ($(CONFIG),Debug)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Debug
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DDEBUG=1 -D_DEBUG=1 -DJUCE_DEMO_RUNNER=1 -DJUCE_UNIT_TESTS=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=5.4.1 -DJUCE_APP_VERSION_HEX=0x50401 $(shell pkg-config --cflags alsa freetype2 x11 xext xinerama webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -pthread -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_APP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_APP := DemoRunner

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -g -ggdb -O0 $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++14 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) $(shell pkg-config --libs alsa freetype2 x11 xext xinerama webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -lGL -ldl -lpthread -lrt $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

ifeq ($(CONFIG),Release)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Release
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DNDEBUG=1 -DJUCE_DEMO_RUNNER=1 -DJUCE_UNIT_TESTS=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=5.4.1 -DJUCE_APP_VERSION_HEX=0x50401 $(shell pkg-config --cflags alsa freetype2 x11 xext xinerama webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -pthread -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_APP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_APP := DemoRunner

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -O3 $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++14 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) $(shell pkg-config --libs alsa freetype2 x11 xext xinerama webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -fvisibility=hidden -lGL -ldl -lpthread -lrt $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

OBJECTS_APP := \
  $(JUCE_OBJDIR)/DemoPIPs1_5b52b434.o \
  $(JUCE_OBJDIR)/DemoPIPs2_5b60cbb5.o \
  $(JUCE_OBJDIR)/JUCEDemos_5a07ba05.o \
  $(JUCE_OBJDIR)/DemoContentComponent_c5bb9cc3.o \
  $(JUCE_OBJDIR)/MainComponent_a54318d2.o \
  $(JUCE_OBJDIR)/Main_90ebc5c2.o \
  $(JUCE_OBJDIR)/include_juce_analytics_f8e9fa94.o \
  $(JUCE_OBJDIR)/include_juce_audio_basics_8a4e984a.o \
  $(JUCE_OBJDIR)/include_juce_audio_devices_63111d02.o \
  $(JUCE_OBJDIR)/include_juce_audio_formats_15f82001.o \
  $(JUCE_OBJDIR)/include_juce_audio_processors_10c03666.o \
  $(JUCE_OBJDIR)/include_juce_audio_utils_9f9fb2d6.o \
  $(JUCE_OBJDIR)/include_juce_blocks_basics_90805d6c.o \
  $(JUCE_OBJDIR)/include_juce_box2d_b0305d8b.o \
  $(JUCE_OBJDIR)/include_juce_core_f26d17db.o \
  $(JUCE_OBJDIR)/include_juce_cryptography_8cb807a8.o \
  $(JUCE_OBJDIR)/include_juce_data_structures_7471b1e3.o \
  $(JUCE_OBJDIR)/include_juce_dsp_aeb2060f.o \
  $(JUCE_OBJDIR)/include_juce_events_fd7d695.o \
  $(JUCE_OBJDIR)/include_juce_graphics_f817e147.o \
  $(JUCE_OBJDIR)/include_juce_gui_basics_e3f79785.o \
  $(JUCE_OBJDIR)/include_juce_gui_extra_6dee1c1a.o \
  $(JUCE_OBJDIR)/include_juce_opengl_a8a032b.o \
  $(JUCE_OBJDIR)/include_juce_osc_f3df604d.o \
  $(JUCE_OBJDIR)/include_juce_product_unlocking_8278fcdc.o \
  $(JUCE_OBJDIR)/include_juce_video_be78589.o \

.PHONY: clean all strip

all : $(JUCE_OUTDIR)/$(JUCE_TARGET_APP)

$(JUCE_OUTDIR)/$(JUCE_TARGET_APP) : $(OBJECTS_APP) $(RESOURCES)
	@command -v pkg-config >/dev/null 2>&1 || { echo >&2 "pkg-config not installed. Please, install it."; exit 1; }
	@pkg-config --print-errors alsa freetype2 x11 xext xinerama webkit2gtk-4.0 gtk+-x11-3.0 libcurl
	@echo Linking "DemoRunner - App"
	-$(V_AT)mkdir -p $(JUCE_BINDIR)
	-$(V_AT)mkdir -p $(JUCE_LIBDIR)
	-$(V_AT)mkdir -p $(JUCE_OUTDIR)
	$(V_AT)$(CXX) -o $(JUCE_OUTDIR)/$(JUCE_TARGET_APP) $(OBJECTS_APP) $(JUCE_LDFLAGS) $(JUCE_LDFLAGS_APP) $(RESOURCES) $(TARGET_ARCH)

$(JUCE_OBJDIR)/DemoPIPs1_5b52b434.o: ../../Source/Demos/DemoPIPs1.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling DemoPIPs1.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/DemoPIPs2_5b60cbb5.o: ../../Source/Demos/DemoPIPs2.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling DemoPIPs2.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/JUCEDemos_5a07ba05.o: ../../Source/Demos/JUCEDemos.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling JUCEDemos.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/DemoContentComponent_c5bb9cc3.o: ../../Source/UI/DemoContentComponent.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling DemoContentComponent.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/MainComponent_a54318d2.o: ../../Source/UI/MainComponent.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling MainComponent.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/Main_90ebc5c2.o: ../../Source/Main.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling Main.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_analytics_f8e9fa94.o: ../../JuceLibraryCode/include_juce_analytics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_analytics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_basics_8a4e984a.o: ../../JuceLibraryCode/include_juce_audio_basics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_basics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_devices_63111d02.o: ../../JuceLibraryCode/include_juce_audio_devices.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_devices.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_formats_15f82001.o: ../../JuceLibraryCode/include_juce_audio_formats.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_formats.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_processors_10c03666.o: ../../JuceLibraryCode/include_juce_audio_processors.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_processors.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_utils_9f9fb2d6.o: ../../JuceLibraryCode/include_juce_audio_utils.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_utils.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_blocks_basics_90805d6c.o: ../../JuceLibraryCode/include_juce_blocks_basics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_blocks_basics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_box2d_b0305d8b.o: ../../JuceLibraryCode/include_juce_box2d.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_box2d.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_core_f26d17db.o: ../../JuceLibraryCode/include_juce_core.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_core.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_cryptography_8cb807a8.o: ../../JuceLibraryCode/include_juce_cryptography.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_cryptography.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_data_structures_7471b1e3.o: ../../JuceLibraryCode/include_juce_data_structures.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_data_structures.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_dsp_aeb2060f.o: ../../JuceLibraryCode/include_juce_dsp.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_dsp.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_events_fd7d695.o: ../../JuceLibraryCode/include_juce_events.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_events.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_graphics_f817e147.o: ../../JuceLibraryCode/include_juce_graphics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_graphics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_gui_basics_e3f79785.o: ../../JuceLibraryCode/include_juce_gui_basics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_gui_basics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_gui_extra_6dee1c1a.o: ../../JuceLibraryCode/include_juce_gui_extra.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_gui_extra.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_opengl_a8a032b.o: ../../JuceLibraryCode/include_juce_opengl.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_opengl.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_osc_f3df604d.o: ../../JuceLibraryCode/include_juce_osc.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_osc.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_product_unlocking_8278fcdc.o: ../../JuceLibraryCode/include_juce_product_unlocking.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_product_unlocking.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_video_be78589.o: ../../JuceLibraryCode/include_juce_video.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_video.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

clean:
	@echo Cleaning DemoRunner
	$(V_AT)$(CLEANCMD)

strip:
	@echo Stripping DemoRunner
	-$(V_AT)$(STRIP) --strip-unneeded $(JUCE_OUTDIR)/$(TARGET)

-include $(OBJECTS_APP:%.o=%.d)

=== extras/AudioPerformanceTest/Builds/LinuxMakefile/Makefile ===
# Automatically generated makefile, created by the Projucer
# Don't edit this file! Your changes will be overwritten when you re-save the Projucer project!

# build with "V=1" for verbose builds
ifeq ($(V), 1)
V_AT =
else
V_AT = @
endif

# (this disables dependency generation if multiple architectures are set)
DEPFLAGS := $(if $(word 2, $(TARGET_ARCH)), , -MMD)

ifndef STRIP
  STRIP=strip
endif

ifndef AR
  AR=ar
endif

ifndef CONFIG
  CONFIG=Debug
endif

JUCE_ARCH_LABEL := $(shell uname -m)

ifeq ($(CONFIG),Debug)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Debug
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DDEBUG=1 -D_DEBUG=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 $(shell pkg-config --cflags alsa freetype2 x11 xext xinerama webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -pthread -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_APP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_APP := AudioPerformanceTest

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -g -ggdb -O0 $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++14 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) -L/usr/X11R6/lib/ $(shell pkg-config --libs alsa freetype2 x11 xext xinerama webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -ldl -lpthread -lrt $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

ifeq ($(CONFIG),Release)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Release
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DNDEBUG=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 $(shell pkg-config --cflags alsa freetype2 x11 xext xinerama webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -pthread -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_APP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_APP := AudioPerformanceTest

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -O3 $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++14 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) -L/usr/X11R6/lib/ $(shell pkg-config --libs alsa freetype2 x11 xext xinerama webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -fvisibility=hidden -ldl -lpthread -lrt $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

OBJECTS_APP := \
  $(JUCE_OBJDIR)/Main_90ebc5c2.o \
  $(JUCE_OBJDIR)/include_juce_audio_basics_8a4e984a.o \
  $(JUCE_OBJDIR)/include_juce_audio_devices_63111d02.o \
  $(JUCE_OBJDIR)/include_juce_audio_formats_15f82001.o \
  $(JUCE_OBJDIR)/include_juce_audio_processors_10c03666.o \
  $(JUCE_OBJDIR)/include_juce_audio_utils_9f9fb2d6.o \
  $(JUCE_OBJDIR)/include_juce_core_f26d17db.o \
  $(JUCE_OBJDIR)/include_juce_data_structures_7471b1e3.o \
  $(JUCE_OBJDIR)/include_juce_events_fd7d695.o \
  $(JUCE_OBJDIR)/include_juce_graphics_f817e147.o \
  $(JUCE_OBJDIR)/include_juce_gui_basics_e3f79785.o \
  $(JUCE_OBJDIR)/include_juce_gui_extra_6dee1c1a.o \

.PHONY: clean all strip

all : $(JUCE_OUTDIR)/$(JUCE_TARGET_APP)

$(JUCE_OUTDIR)/$(JUCE_TARGET_APP) : $(OBJECTS_APP) $(RESOURCES)
	@command -v pkg-config >/dev/null 2>&1 || { echo >&2 "pkg-config not installed. Please, install it."; exit 1; }
	@pkg-config --print-errors alsa freetype2 x11 xext xinerama webkit2gtk-4.0 gtk+-x11-3.0 libcurl
	@echo Linking "AudioPerformanceTest - App"
	-$(V_AT)mkdir -p $(JUCE_BINDIR)
	-$(V_AT)mkdir -p $(JUCE_LIBDIR)
	-$(V_AT)mkdir -p $(JUCE_OUTDIR)
	$(V_AT)$(CXX) -o $(JUCE_OUTDIR)/$(JUCE_TARGET_APP) $(OBJECTS_APP) $(JUCE_LDFLAGS) $(JUCE_LDFLAGS_APP) $(RESOURCES) $(TARGET_ARCH)

$(JUCE_OBJDIR)/Main_90ebc5c2.o: ../../Source/Main.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling Main.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_basics_8a4e984a.o: ../../JuceLibraryCode/include_juce_audio_basics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_basics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_devices_63111d02.o: ../../JuceLibraryCode/include_juce_audio_devices.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_devices.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_formats_15f82001.o: ../../JuceLibraryCode/include_juce_audio_formats.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_formats.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_processors_10c03666.o: ../../JuceLibraryCode/include_juce_audio_processors.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_processors.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_utils_9f9fb2d6.o: ../../JuceLibraryCode/include_juce_audio_utils.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_utils.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_core_f26d17db.o: ../../JuceLibraryCode/include_juce_core.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_core.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_data_structures_7471b1e3.o: ../../JuceLibraryCode/include_juce_data_structures.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_data_structures.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_events_fd7d695.o: ../../JuceLibraryCode/include_juce_events.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_events.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_graphics_f817e147.o: ../../JuceLibraryCode/include_juce_graphics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_graphics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_gui_basics_e3f79785.o: ../../JuceLibraryCode/include_juce_gui_basics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_gui_basics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_gui_extra_6dee1c1a.o: ../../JuceLibraryCode/include_juce_gui_extra.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_gui_extra.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

clean:
	@echo Cleaning AudioPerformanceTest
	$(V_AT)$(CLEANCMD)

strip:
	@echo Stripping AudioPerformanceTest
	-$(V_AT)$(STRIP) --strip-unneeded $(JUCE_OUTDIR)/$(TARGET)

-include $(OBJECTS_APP:%.o=%.d)

=== extras/AudioPluginHost/Builds/LinuxMakefile/Makefile ===
# Automatically generated makefile, created by the Projucer
# Don't edit this file! Your changes will be overwritten when you re-save the Projucer project!

# build with "V=1" for verbose builds
ifeq ($(V), 1)
V_AT =
else
V_AT = @
endif

# (this disables dependency generation if multiple architectures are set)
DEPFLAGS := $(if $(word 2, $(TARGET_ARCH)), , -MMD)

ifndef STRIP
  STRIP=strip
endif

ifndef AR
  AR=ar
endif

ifndef CONFIG
  CONFIG=Debug
endif

JUCE_ARCH_LABEL := $(shell uname -m)

ifeq ($(CONFIG),Debug)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Debug
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DDEBUG=1 -D_DEBUG=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 $(shell pkg-config --cflags alsa freetype2 x11 xext xinerama libcurl) -pthread -I../../../../modules/juce_audio_processors/format_types/VST3_SDK -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_APP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_APP := AudioPluginHost

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -g -ggdb -O0 $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++14 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) -L/usr/X11R6/lib/ $(shell pkg-config --libs alsa freetype2 x11 xext xinerama libcurl) -lGL -ldl -lpthread -lrt $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

ifeq ($(CONFIG),Release)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Release
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DNDEBUG=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 $(shell pkg-config --cflags alsa freetype2 x11 xext xinerama libcurl) -pthread -I../../../../modules/juce_audio_processors/format_types/VST3_SDK -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_APP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_APP := AudioPluginHost

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -Os $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++14 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) -L/usr/X11R6/lib/ $(shell pkg-config --libs alsa freetype2 x11 xext xinerama libcurl) -fvisibility=hidden -lGL -ldl -lpthread -lrt $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

OBJECTS_APP := \
  $(JUCE_OBJDIR)/FilterGraph_769715e3.o \
  $(JUCE_OBJDIR)/FilterIOConfiguration_d1cf3d25.o \
  $(JUCE_OBJDIR)/InternalFilters_eceadbab.o \
  $(JUCE_OBJDIR)/GraphEditorPanel_2223d925.o \
  $(JUCE_OBJDIR)/MainHostWindow_b3494acd.o \
  $(JUCE_OBJDIR)/HostStartup_5ce96f96.o \
  $(JUCE_OBJDIR)/BinaryData_ce4232d4.o \
  $(JUCE_OBJDIR)/include_juce_audio_basics_8a4e984a.o \
  $(JUCE_OBJDIR)/include_juce_audio_devices_63111d02.o \
  $(JUCE_OBJDIR)/include_juce_audio_formats_15f82001.o \
  $(JUCE_OBJDIR)/include_juce_audio_processors_10c03666.o \
  $(JUCE_OBJDIR)/include_juce_audio_utils_9f9fb2d6.o \
  $(JUCE_OBJDIR)/include_juce_core_f26d17db.o \
  $(JUCE_OBJDIR)/include_juce_cryptography_8cb807a8.o \
  $(JUCE_OBJDIR)/include_juce_data_structures_7471b1e3.o \
  $(JUCE_OBJDIR)/include_juce_events_fd7d695.o \
  $(JUCE_OBJDIR)/include_juce_graphics_f817e147.o \
  $(JUCE_OBJDIR)/include_juce_gui_basics_e3f79785.o \
  $(JUCE_OBJDIR)/include_juce_gui_extra_6dee1c1a.o \
  $(JUCE_OBJDIR)/include_juce_opengl_a8a032b.o \
  $(JUCE_OBJDIR)/include_juce_video_be78589.o \

.PHONY: clean all strip

all : $(JUCE_OUTDIR)/$(JUCE_TARGET_APP)

$(JUCE_OUTDIR)/$(JUCE_TARGET_APP) : $(OBJECTS_APP) $(RESOURCES)
	@command -v pkg-config >/dev/null 2>&1 || { echo >&2 "pkg-config not installed. Please, install it."; exit 1; }
	@pkg-config --print-errors alsa freetype2 x11 xext xinerama libcurl
	@echo Linking "AudioPluginHost - App"
	-$(V_AT)mkdir -p $(JUCE_BINDIR)
	-$(V_AT)mkdir -p $(JUCE_LIBDIR)
	-$(V_AT)mkdir -p $(JUCE_OUTDIR)
	$(V_AT)$(CXX) -o $(JUCE_OUTDIR)/$(JUCE_TARGET_APP) $(OBJECTS_APP) $(JUCE_LDFLAGS) $(JUCE_LDFLAGS_APP) $(RESOURCES) $(TARGET_ARCH)

$(JUCE_OBJDIR)/FilterGraph_769715e3.o: ../../Source/Filters/FilterGraph.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling FilterGraph.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/FilterIOConfiguration_d1cf3d25.o: ../../Source/Filters/FilterIOConfiguration.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling FilterIOConfiguration.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/InternalFilters_eceadbab.o: ../../Source/Filters/InternalFilters.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling InternalFilters.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/GraphEditorPanel_2223d925.o: ../../Source/UI/GraphEditorPanel.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling GraphEditorPanel.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/MainHostWindow_b3494acd.o: ../../Source/UI/MainHostWindow.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling MainHostWindow.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/HostStartup_5ce96f96.o: ../../Source/HostStartup.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling HostStartup.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/BinaryData_ce4232d4.o: ../../JuceLibraryCode/BinaryData.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling BinaryData.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_basics_8a4e984a.o: ../../JuceLibraryCode/include_juce_audio_basics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_basics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_devices_63111d02.o: ../../JuceLibraryCode/include_juce_audio_devices.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_devices.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_formats_15f82001.o: ../../JuceLibraryCode/include_juce_audio_formats.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_formats.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_processors_10c03666.o: ../../JuceLibraryCode/include_juce_audio_processors.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_processors.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_utils_9f9fb2d6.o: ../../JuceLibraryCode/include_juce_audio_utils.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_utils.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_core_f26d17db.o: ../../JuceLibraryCode/include_juce_core.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_core.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_cryptography_8cb807a8.o: ../../JuceLibraryCode/include_juce_cryptography.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_cryptography.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_data_structures_7471b1e3.o: ../../JuceLibraryCode/include_juce_data_structures.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_data_structures.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_events_fd7d695.o: ../../JuceLibraryCode/include_juce_events.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_events.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_graphics_f817e147.o: ../../JuceLibraryCode/include_juce_graphics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_graphics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_gui_basics_e3f79785.o: ../../JuceLibraryCode/include_juce_gui_basics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_gui_basics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_gui_extra_6dee1c1a.o: ../../JuceLibraryCode/include_juce_gui_extra.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_gui_extra.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_opengl_a8a032b.o: ../../JuceLibraryCode/include_juce_opengl.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_opengl.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_video_be78589.o: ../../JuceLibraryCode/include_juce_video.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_video.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

clean:
	@echo Cleaning AudioPluginHost
	$(V_AT)$(CLEANCMD)

strip:
	@echo Stripping AudioPluginHost
	-$(V_AT)$(STRIP) --strip-unneeded $(JUCE_OUTDIR)/$(TARGET)

-include $(OBJECTS_APP:%.o=%.d)

=== extras/BinaryBuilder/Builds/LinuxMakefile/Makefile ===
# Automatically generated makefile, created by the Projucer
# Don't edit this file! Your changes will be overwritten when you re-save the Projucer project!

# build with "V=1" for verbose builds
ifeq ($(V), 1)
V_AT =
else
V_AT = @
endif

# (this disables dependency generation if multiple architectures are set)
DEPFLAGS := $(if $(word 2, $(TARGET_ARCH)), , -MMD)

ifndef STRIP
  STRIP=strip
endif

ifndef AR
  AR=ar
endif

ifndef CONFIG
  CONFIG=Debug
endif

JUCE_ARCH_LABEL := $(shell uname -m)

ifeq ($(CONFIG),Debug)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Debug
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DDEBUG=1 -D_DEBUG=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 $(shell pkg-config --cflags libcurl) -pthread -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_CONSOLEAPP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_CONSOLEAPP := BinaryBuilder

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -g -ggdb -O0 $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++14 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) -L/usr/X11R6/lib/ $(shell pkg-config --libs libcurl) -ldl -lpthread -lrt $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

ifeq ($(CONFIG),Release)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Release
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DNDEBUG=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 $(shell pkg-config --cflags libcurl) -pthread -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_CONSOLEAPP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_CONSOLEAPP := BinaryBuilder

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -Os $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++14 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) -L/usr/X11R6/lib/ $(shell pkg-config --libs libcurl) -fvisibility=hidden -ldl -lpthread -lrt $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

OBJECTS_CONSOLEAPP := \
  $(JUCE_OBJDIR)/Main_90ebc5c2.o \
  $(JUCE_OBJDIR)/include_juce_core_f26d17db.o \

.PHONY: clean all strip

all : $(JUCE_OUTDIR)/$(JUCE_TARGET_CONSOLEAPP)

$(JUCE_OUTDIR)/$(JUCE_TARGET_CONSOLEAPP) : $(OBJECTS_CONSOLEAPP) $(RESOURCES)
	@command -v pkg-config >/dev/null 2>&1 || { echo >&2 "pkg-config not installed. Please, install it."; exit 1; }
	@pkg-config --print-errors libcurl
	@echo Linking "BinaryBuilder - ConsoleApp"
	-$(V_AT)mkdir -p $(JUCE_BINDIR)
	-$(V_AT)mkdir -p $(JUCE_LIBDIR)
	-$(V_AT)mkdir -p $(JUCE_OUTDIR)
	$(V_AT)$(CXX) -o $(JUCE_OUTDIR)/$(JUCE_TARGET_CONSOLEAPP) $(OBJECTS_CONSOLEAPP) $(JUCE_LDFLAGS) $(RESOURCES) $(TARGET_ARCH)

$(JUCE_OBJDIR)/Main_90ebc5c2.o: ../../Source/Main.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling Main.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_core_f26d17db.o: ../../JuceLibraryCode/include_juce_core.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_core.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

clean:
	@echo Cleaning BinaryBuilder
	$(V_AT)$(CLEANCMD)

strip:
	@echo Stripping BinaryBuilder
	-$(V_AT)$(STRIP) --strip-unneeded $(JUCE_OUTDIR)/$(TARGET)

-include $(OBJECTS_CONSOLEAPP:%.o=%.d)

=== extras/NetworkGraphicsDemo/Builds/LinuxMakefile/Makefile ===
# Automatically generated makefile, created by the Projucer
# Don't edit this file! Your changes will be overwritten when you re-save the Projucer project!

# build with "V=1" for verbose builds
ifeq ($(V), 1)
V_AT =
else
V_AT = @
endif

# (this disables dependency generation if multiple architectures are set)
DEPFLAGS := $(if $(word 2, $(TARGET_ARCH)), , -MMD)

ifndef STRIP
  STRIP=strip
endif

ifndef AR
  AR=ar
endif

ifndef CONFIG
  CONFIG=Debug
endif

JUCE_ARCH_LABEL := $(shell uname -m)

ifeq ($(CONFIG),Debug)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Debug
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DDEBUG=1 -D_DEBUG=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 $(shell pkg-config --cflags alsa freetype2 x11 xext xinerama webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -pthread -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_APP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_APP := JUCE\ Network\ Graphics\ Demo

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -g -ggdb -O0 $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++14 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) -L/usr/X11R6/lib/ $(shell pkg-config --libs alsa freetype2 x11 xext xinerama webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -lGL -ldl -lpthread -lrt $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

ifeq ($(CONFIG),Release)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Release
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DNDEBUG=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 $(shell pkg-config --cflags alsa freetype2 x11 xext xinerama webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -pthread -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_APP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_APP := JUCE\ Network\ Graphics\ Demo

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -O3 $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++14 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) -L/usr/X11R6/lib/ $(shell pkg-config --libs alsa freetype2 x11 xext xinerama webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -fvisibility=hidden -lGL -ldl -lpthread -lrt $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

OBJECTS_APP := \
  $(JUCE_OBJDIR)/Main_90ebc5c2.o \
  $(JUCE_OBJDIR)/BinaryData_ce4232d4.o \
  $(JUCE_OBJDIR)/include_juce_audio_basics_8a4e984a.o \
  $(JUCE_OBJDIR)/include_juce_audio_devices_63111d02.o \
  $(JUCE_OBJDIR)/include_juce_audio_formats_15f82001.o \
  $(JUCE_OBJDIR)/include_juce_audio_processors_10c03666.o \
  $(JUCE_OBJDIR)/include_juce_audio_utils_9f9fb2d6.o \
  $(JUCE_OBJDIR)/include_juce_core_f26d17db.o \
  $(JUCE_OBJDIR)/include_juce_cryptography_8cb807a8.o \
  $(JUCE_OBJDIR)/include_juce_data_structures_7471b1e3.o \
  $(JUCE_OBJDIR)/include_juce_events_fd7d695.o \
  $(JUCE_OBJDIR)/include_juce_graphics_f817e147.o \
  $(JUCE_OBJDIR)/include_juce_gui_basics_e3f79785.o \
  $(JUCE_OBJDIR)/include_juce_gui_extra_6dee1c1a.o \
  $(JUCE_OBJDIR)/include_juce_opengl_a8a032b.o \
  $(JUCE_OBJDIR)/include_juce_osc_f3df604d.o \

.PHONY: clean all strip

all : $(JUCE_OUTDIR)/$(JUCE_TARGET_APP)

$(JUCE_OUTDIR)/$(JUCE_TARGET_APP) : $(OBJECTS_APP) $(RESOURCES)
	@command -v pkg-config >/dev/null 2>&1 || { echo >&2 "pkg-config not installed. Please, install it."; exit 1; }
	@pkg-config --print-errors alsa freetype2 x11 xext xinerama webkit2gtk-4.0 gtk+-x11-3.0 libcurl
	@echo Linking "NetworkGraphicsDemo - App"
	-$(V_AT)mkdir -p $(JUCE_BINDIR)
	-$(V_AT)mkdir -p $(JUCE_LIBDIR)
	-$(V_AT)mkdir -p $(JUCE_OUTDIR)
	$(V_AT)$(CXX) -o $(JUCE_OUTDIR)/$(JUCE_TARGET_APP) $(OBJECTS_APP) $(JUCE_LDFLAGS) $(JUCE_LDFLAGS_APP) $(RESOURCES) $(TARGET_ARCH)

$(JUCE_OBJDIR)/Main_90ebc5c2.o: ../../Source/Main.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling Main.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/BinaryData_ce4232d4.o: ../../JuceLibraryCode/BinaryData.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling BinaryData.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_basics_8a4e984a.o: ../../JuceLibraryCode/include_juce_audio_basics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_basics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_devices_63111d02.o: ../../JuceLibraryCode/include_juce_audio_devices.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_devices.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_formats_15f82001.o: ../../JuceLibraryCode/include_juce_audio_formats.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_formats.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_processors_10c03666.o: ../../JuceLibraryCode/include_juce_audio_processors.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_processors.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_utils_9f9fb2d6.o: ../../JuceLibraryCode/include_juce_audio_utils.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_utils.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_core_f26d17db.o: ../../JuceLibraryCode/include_juce_core.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_core.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_cryptography_8cb807a8.o: ../../JuceLibraryCode/include_juce_cryptography.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_cryptography.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_data_structures_7471b1e3.o: ../../JuceLibraryCode/include_juce_data_structures.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_data_structures.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_events_fd7d695.o: ../../JuceLibraryCode/include_juce_events.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_events.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_graphics_f817e147.o: ../../JuceLibraryCode/include_juce_graphics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_graphics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_gui_basics_e3f79785.o: ../../JuceLibraryCode/include_juce_gui_basics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_gui_basics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_gui_extra_6dee1c1a.o: ../../JuceLibraryCode/include_juce_gui_extra.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_gui_extra.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_opengl_a8a032b.o: ../../JuceLibraryCode/include_juce_opengl.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_opengl.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_osc_f3df604d.o: ../../JuceLibraryCode/include_juce_osc.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_osc.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

clean:
	@echo Cleaning NetworkGraphicsDemo
	$(V_AT)$(CLEANCMD)

strip:
	@echo Stripping NetworkGraphicsDemo
	-$(V_AT)$(STRIP) --strip-unneeded $(JUCE_OUTDIR)/$(TARGET)

-include $(OBJECTS_APP:%.o=%.d)

=== examples/DemoRunner/Builds/Android/app/CMakeLists.txt ===
# Automatically generated makefile, created by the Projucer
# Don't edit this file! Your changes will be overwritten when you re-save the Projucer project!

cmake_minimum_required(VERSION 3.4.1)

SET(BINARY_NAME "juce_jni")

add_library("cpufeatures" STATIC "${ANDROID_NDK}/sources/android/cpufeatures/cpu-features.c")
set_source_files_properties("${ANDROID_NDK}/sources/android/cpufeatures/cpu-features.c" PROPERTIES COMPILE_FLAGS "-Wno-sign-conversion -Wno-gnu-statement-expression")

add_definitions("-DJUCE_ANDROID=1" "-DJUCE_ANDROID_API_VERSION=23" "-DJUCE_ANDROID_ACTIVITY_CLASSNAME=com_juce_demorunner_DemoRunner" "-DJUCE_ANDROID_ACTIVITY_CLASSPATH=\"com/juce/demorunner/DemoRunner\"" "-DJUCE_ANDROID_SHARING_CONTENT_PROVIDER_CLASSNAME=com_juce_demorunner_SharingContentProvider" "-DJUCE_ANDROID_SHARING_CONTENT_PROVIDER_CLASSPATH=\"com/juce/demorunner/SharingContentProvider\"" "-DJUCE_PUSH_NOTIFICATIONS=1" "-DJUCE_ANDROID_GL_ES_VERSION_3_0=1" "-DJUCE_DEMO_RUNNER=1" "-DJUCE_UNIT_TESTS=1" "-DJUCER_ANDROIDSTUDIO_7F0E4A25=1" "-DJUCE_APP_VERSION=5.4.1" "-DJUCE_APP_VERSION_HEX=0x50401")

include_directories( AFTER
    "../../../JuceLibraryCode"
    "../../../../../modules"
    "${ANDROID_NDK}/sources/android/cpufeatures"
)

enable_language(ASM)

IF(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")
    add_definitions("-DDEBUG=1" "-D_DEBUG=1")
ELSEIF(JUCE_BUILD_CONFIGURATION MATCHES "RELEASE")
    add_definitions("-DNDEBUG=1")
ELSE(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")
    MESSAGE( FATAL_ERROR "No matching build-configuration found." )
ENDIF(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")

add_library( ${BINARY_NAME}

    SHARED

    "../../../Source/Demos/DemoPIPs1.cpp"
    "../../../Source/Demos/DemoPIPs2.cpp"
    "../../../Source/Demos/IntroScreen.h"
    "../../../Source/Demos/JUCEDemos.cpp"
    "../../../Source/Demos/JUCEDemos.h"
    "../../../Source/UI/DemoContentComponent.cpp"
    "../../../Source/UI/DemoContentComponent.h"
    "../../../Source/UI/MainComponent.cpp"
    "../../../Source/UI/MainComponent.h"
    "../../../Source/UI/SettingsContent.h"
    "../../../Source/Main.cpp"
    "../../../Source/JUCEAppIcon.png"
    "../../../../../modules/juce_analytics/analytics/juce_Analytics.cpp"
    "../../../../../modules/juce_analytics/analytics/juce_Analytics.h"
    "../../../../../modules/juce_analytics/analytics/juce_ButtonTracker.cpp"
    "../../../../../modules/juce_analytics/analytics/juce_ButtonTracker.h"
    "../../../../../modules/juce_analytics/destinations/juce_AnalyticsDestination.h"
    "../../../../../modules/juce_analytics/destinations/juce_ThreadedAnalyticsDestination.cpp"
    "../../../../../modules/juce_analytics/destinations/juce_ThreadedAnalyticsDestination.h"
    "../../../../../modules/juce_analytics/juce_analytics.cpp"
    "../../../../../modules/juce_analytics/juce_analytics.h"
    "../../../../../modules/juce_audio_basics/audio_play_head/juce_AudioPlayHead.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioChannelSet.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioChannelSet.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioDataConverters.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioDataConverters.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioProcessLoadMeasurer.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioProcessLoadMeasurer.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioSampleBuffer.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_FloatVectorOperations.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_FloatVectorOperations.h"
    "../../../../../modules/juce_audio_basics/effects/juce_CatmullRomInterpolator.cpp"
    "../../../../../modules/juce_audio_basics/effects/juce_CatmullRomInterpolator.h"
    "../../../../../modules/juce_audio_basics/effects/juce_Decibels.h"
    "../../../../../modules/juce_audio_basics/effects/juce_IIRFilter.cpp"
    "../../../../../modules/juce_audio_basics/effects/juce_IIRFilter.h"
    "../../../../../modules/juce_audio_basics/effects/juce_LagrangeInterpolator.cpp"
    "../../../../../modules/juce_audio_basics/effects/juce_LagrangeInterpolator.h"
    "../../../../../modules/juce_audio_basics/effects/juce_LinearSmoothedValue.h"
    "../../../../../modules/juce_audio_basics/effects/juce_Reverb.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiBuffer.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiBuffer.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiFile.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiFile.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiKeyboardState.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiKeyboardState.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessage.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessage.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessageSequence.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessageSequence.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiRPN.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiRPN.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEInstrument.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEInstrument.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEMessages.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEMessages.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPENote.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPENote.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiser.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiser.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserBase.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserBase.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserVoice.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserVoice.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEUtils.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEUtils.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEValue.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEValue.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEZoneLayout.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEZoneLayout.h"
    "../../../../../modules/juce_audio_basics/native/juce_mac_CoreAudioLayouts.h"
    "../../../../../modules/juce_audio_basics/sources/juce_AudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_BufferingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_BufferingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ChannelRemappingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ChannelRemappingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_IIRFilterAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_IIRFilterAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_MemoryAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_MemoryAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_MixerAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_MixerAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_PositionableAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ResamplingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ResamplingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ReverbAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ReverbAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ToneGeneratorAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ToneGeneratorAudioSource.h"
    "../../../../../modules/juce_audio_basics/synthesisers/juce_Synthesiser.cpp"
    "../../../../../modules/juce_audio_basics/synthesisers/juce_Synthesiser.h"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.cpp"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.mm"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioDeviceManager.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioDeviceManager.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODevice.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODevice.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODeviceType.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODeviceType.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_SystemAudioVolume.h"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiInput.h"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiMessageCollector.cpp"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiMessageCollector.h"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiOutput.cpp"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiOutput.h"
    "../../../../../modules/juce_audio_devices/native/juce_android_Audio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_Oboe.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_OpenSL.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_ios_Audio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_ios_Audio.h"
    "../../../../../modules/juce_audio_devices/native/juce_linux_ALSA.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_Bela.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_JackAudio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_mac_CoreAudio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_mac_CoreMidi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_MidiDataConcatenator.h"
    "../../../../../modules/juce_audio_devices/native/juce_win32_ASIO.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_DirectSound.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_WASAPI.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioSourcePlayer.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioSourcePlayer.h"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioTransportSource.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioTransportSource.h"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.cpp"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.mm"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/all.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitmath.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitreader.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitwriter.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/cpu.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/crc.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/fixed.h"

=== extras/AudioPerformanceTest/Builds/Android/app/CMakeLists.txt ===
# Automatically generated makefile, created by the Projucer
# Don't edit this file! Your changes will be overwritten when you re-save the Projucer project!

cmake_minimum_required(VERSION 3.4.1)

SET(BINARY_NAME "juce_jni")

add_library("cpufeatures" STATIC "${ANDROID_NDK}/sources/android/cpufeatures/cpu-features.c")
set_source_files_properties("${ANDROID_NDK}/sources/android/cpufeatures/cpu-features.c" PROPERTIES COMPILE_FLAGS "-Wno-sign-conversion -Wno-gnu-statement-expression")

add_definitions("-DJUCE_ANDROID=1" "-DJUCE_ANDROID_API_VERSION=23" "-DJUCE_ANDROID_ACTIVITY_CLASSNAME=com_juce_audioperformancetest_AudioPerformanceTest" "-DJUCE_ANDROID_ACTIVITY_CLASSPATH=\"com/juce/audioperformancetest/AudioPerformanceTest\"" "-DJUCE_ANDROID_SHARING_CONTENT_PROVIDER_CLASSNAME=com_juce_audioperformancetest_SharingContentProvider" "-DJUCE_ANDROID_SHARING_CONTENT_PROVIDER_CLASSPATH=\"com/juce/audioperformancetest/SharingContentProvider\"" "-DJUCE_PUSH_NOTIFICATIONS=1" "-DJUCE_ANDROID_GL_ES_VERSION_3_0=1" "-DJUCER_ANDROIDSTUDIO_7F0E4A25=1" "-DJUCE_APP_VERSION=1.0.0" "-DJUCE_APP_VERSION_HEX=0x10000")

include_directories( AFTER
    "../../../JuceLibraryCode"
    "../../../../../modules"
    "${ANDROID_NDK}/sources/android/cpufeatures"
)

enable_language(ASM)

IF(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")
    add_definitions("-DDEBUG=1" "-D_DEBUG=1")
ELSEIF(JUCE_BUILD_CONFIGURATION MATCHES "RELEASE")
    add_definitions("-DNDEBUG=1")
ELSE(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")
    MESSAGE( FATAL_ERROR "No matching build-configuration found." )
ENDIF(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")

add_library( ${BINARY_NAME}

    SHARED

    "../../../Source/Main.cpp"
    "../../../Source/MainComponent.h"
    "../../../../../modules/juce_audio_basics/audio_play_head/juce_AudioPlayHead.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioChannelSet.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioChannelSet.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioDataConverters.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioDataConverters.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioProcessLoadMeasurer.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioProcessLoadMeasurer.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioSampleBuffer.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_FloatVectorOperations.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_FloatVectorOperations.h"
    "../../../../../modules/juce_audio_basics/effects/juce_CatmullRomInterpolator.cpp"
    "../../../../../modules/juce_audio_basics/effects/juce_CatmullRomInterpolator.h"
    "../../../../../modules/juce_audio_basics/effects/juce_Decibels.h"
    "../../../../../modules/juce_audio_basics/effects/juce_IIRFilter.cpp"
    "../../../../../modules/juce_audio_basics/effects/juce_IIRFilter.h"
    "../../../../../modules/juce_audio_basics/effects/juce_LagrangeInterpolator.cpp"
    "../../../../../modules/juce_audio_basics/effects/juce_LagrangeInterpolator.h"
    "../../../../../modules/juce_audio_basics/effects/juce_LinearSmoothedValue.h"
    "../../../../../modules/juce_audio_basics/effects/juce_Reverb.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiBuffer.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiBuffer.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiFile.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiFile.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiKeyboardState.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiKeyboardState.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessage.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessage.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessageSequence.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessageSequence.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiRPN.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiRPN.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEInstrument.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEInstrument.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEMessages.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEMessages.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPENote.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPENote.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiser.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiser.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserBase.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserBase.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserVoice.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserVoice.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEUtils.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEUtils.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEValue.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEValue.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEZoneLayout.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEZoneLayout.h"
    "../../../../../modules/juce_audio_basics/native/juce_mac_CoreAudioLayouts.h"
    "../../../../../modules/juce_audio_basics/sources/juce_AudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_BufferingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_BufferingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ChannelRemappingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ChannelRemappingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_IIRFilterAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_IIRFilterAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_MemoryAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_MemoryAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_MixerAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_MixerAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_PositionableAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ResamplingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ResamplingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ReverbAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ReverbAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ToneGeneratorAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ToneGeneratorAudioSource.h"
    "../../../../../modules/juce_audio_basics/synthesisers/juce_Synthesiser.cpp"
    "../../../../../modules/juce_audio_basics/synthesisers/juce_Synthesiser.h"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.cpp"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.mm"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioDeviceManager.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioDeviceManager.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODevice.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODevice.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODeviceType.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODeviceType.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_SystemAudioVolume.h"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiInput.h"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiMessageCollector.cpp"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiMessageCollector.h"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiOutput.cpp"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiOutput.h"
    "../../../../../modules/juce_audio_devices/native/juce_android_Audio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_Oboe.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_OpenSL.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_ios_Audio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_ios_Audio.h"
    "../../../../../modules/juce_audio_devices/native/juce_linux_ALSA.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_Bela.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_JackAudio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_mac_CoreAudio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_mac_CoreMidi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_MidiDataConcatenator.h"
    "../../../../../modules/juce_audio_devices/native/juce_win32_ASIO.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_DirectSound.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_WASAPI.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioSourcePlayer.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioSourcePlayer.h"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioTransportSource.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioTransportSource.h"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.cpp"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.mm"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/all.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitmath.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitreader.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitwriter.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/cpu.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/crc.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/fixed.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/float.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/format.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/lpc.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/md5.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/memory.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/metadata.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/stream_encoder.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/stream_encoder_framing.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/window.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/protected/all.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/protected/stream_decoder.h"

=== extras/AudioPluginHost/Builds/Android/app/CMakeLists.txt ===
# Automatically generated makefile, created by the Projucer
# Don't edit this file! Your changes will be overwritten when you re-save the Projucer project!

cmake_minimum_required(VERSION 3.4.1)

SET(BINARY_NAME "juce_jni")

add_library("cpufeatures" STATIC "${ANDROID_NDK}/sources/android/cpufeatures/cpu-features.c")
set_source_files_properties("${ANDROID_NDK}/sources/android/cpufeatures/cpu-features.c" PROPERTIES COMPILE_FLAGS "-Wno-sign-conversion -Wno-gnu-statement-expression")

add_definitions("-DJUCE_ANDROID=1" "-DJUCE_ANDROID_API_VERSION=23" "-DJUCE_ANDROID_ACTIVITY_CLASSNAME=com_roli_juce_pluginhost_AudioPluginHost" "-DJUCE_ANDROID_ACTIVITY_CLASSPATH=\"com/roli/juce/pluginhost/AudioPluginHost\"" "-DJUCE_ANDROID_SHARING_CONTENT_PROVIDER_CLASSNAME=com_roli_juce_pluginhost_SharingContentProvider" "-DJUCE_ANDROID_SHARING_CONTENT_PROVIDER_CLASSPATH=\"com/roli/juce/pluginhost/SharingContentProvider\"" "-DJUCE_PUSH_NOTIFICATIONS=1" "-DJUCE_ANDROID_GL_ES_VERSION_3_0=1" "-DJUCER_ANDROIDSTUDIO_7F0E4A25=1" "-DJUCE_APP_VERSION=1.0.0" "-DJUCE_APP_VERSION_HEX=0x10000")

include_directories( AFTER
    "../../../../../modules/juce_audio_processors/format_types/VST3_SDK"
    "../../../JuceLibraryCode"
    "../../../../../modules"
    "${ANDROID_NDK}/sources/android/cpufeatures"
)

enable_language(ASM)

IF(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")
    add_definitions("-DDEBUG=1" "-D_DEBUG=1")
ELSEIF(JUCE_BUILD_CONFIGURATION MATCHES "RELEASE")
    add_definitions("-DNDEBUG=1")
    if(NOT (ANDROID_ABI STREQUAL "mips" OR ANDROID_ABI STREQUAL "mips64"))
        SET(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -flto")
        SET(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -flto")
        SET(CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} -flto")
    ENDIF(NOT (ANDROID_ABI STREQUAL "mips" OR ANDROID_ABI STREQUAL "mips64"))
ELSE(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")
    MESSAGE( FATAL_ERROR "No matching build-configuration found." )
ENDIF(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")

add_library( ${BINARY_NAME}

    SHARED

    "../../../Source/Filters/FilterGraph.cpp"
    "../../../Source/Filters/FilterGraph.h"
    "../../../Source/Filters/FilterIOConfiguration.cpp"
    "../../../Source/Filters/FilterIOConfiguration.h"
    "../../../Source/Filters/InternalFilters.cpp"
    "../../../Source/Filters/InternalFilters.h"
    "../../../Source/UI/GraphEditorPanel.cpp"
    "../../../Source/UI/GraphEditorPanel.h"
    "../../../Source/UI/MainHostWindow.cpp"
    "../../../Source/UI/MainHostWindow.h"
    "../../../Source/UI/PluginWindow.h"
    "../../../Source/HostStartup.cpp"
    "../../../Source/JUCEAppIcon.png"
    "../../../../../modules/juce_audio_basics/audio_play_head/juce_AudioPlayHead.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioChannelSet.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioChannelSet.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioDataConverters.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioDataConverters.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioProcessLoadMeasurer.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioProcessLoadMeasurer.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioSampleBuffer.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_FloatVectorOperations.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_FloatVectorOperations.h"
    "../../../../../modules/juce_audio_basics/effects/juce_CatmullRomInterpolator.cpp"
    "../../../../../modules/juce_audio_basics/effects/juce_CatmullRomInterpolator.h"
    "../../../../../modules/juce_audio_basics/effects/juce_Decibels.h"
    "../../../../../modules/juce_audio_basics/effects/juce_IIRFilter.cpp"
    "../../../../../modules/juce_audio_basics/effects/juce_IIRFilter.h"
    "../../../../../modules/juce_audio_basics/effects/juce_LagrangeInterpolator.cpp"
    "../../../../../modules/juce_audio_basics/effects/juce_LagrangeInterpolator.h"
    "../../../../../modules/juce_audio_basics/effects/juce_LinearSmoothedValue.h"
    "../../../../../modules/juce_audio_basics/effects/juce_Reverb.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiBuffer.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiBuffer.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiFile.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiFile.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiKeyboardState.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiKeyboardState.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessage.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessage.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessageSequence.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessageSequence.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiRPN.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiRPN.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEInstrument.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEInstrument.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEMessages.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEMessages.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPENote.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPENote.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiser.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiser.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserBase.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserBase.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserVoice.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserVoice.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEUtils.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEUtils.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEValue.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEValue.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEZoneLayout.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEZoneLayout.h"
    "../../../../../modules/juce_audio_basics/native/juce_mac_CoreAudioLayouts.h"
    "../../../../../modules/juce_audio_basics/sources/juce_AudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_BufferingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_BufferingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ChannelRemappingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ChannelRemappingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_IIRFilterAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_IIRFilterAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_MemoryAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_MemoryAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_MixerAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_MixerAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_PositionableAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ResamplingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ResamplingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ReverbAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ReverbAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ToneGeneratorAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ToneGeneratorAudioSource.h"
    "../../../../../modules/juce_audio_basics/synthesisers/juce_Synthesiser.cpp"
    "../../../../../modules/juce_audio_basics/synthesisers/juce_Synthesiser.h"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.cpp"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.mm"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioDeviceManager.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioDeviceManager.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODevice.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODevice.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODeviceType.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODeviceType.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_SystemAudioVolume.h"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiInput.h"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiMessageCollector.cpp"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiMessageCollector.h"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiOutput.cpp"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiOutput.h"
    "../../../../../modules/juce_audio_devices/native/juce_android_Audio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_Oboe.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_OpenSL.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_ios_Audio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_ios_Audio.h"
    "../../../../../modules/juce_audio_devices/native/juce_linux_ALSA.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_Bela.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_JackAudio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_mac_CoreAudio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_mac_CoreMidi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_MidiDataConcatenator.h"
    "../../../../../modules/juce_audio_devices/native/juce_win32_ASIO.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_DirectSound.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_WASAPI.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioSourcePlayer.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioSourcePlayer.h"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioTransportSource.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioTransportSource.h"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.cpp"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.mm"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/all.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitmath.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitreader.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitwriter.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/cpu.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/crc.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/fixed.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/float.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/format.h"

=== extras/NetworkGraphicsDemo/Builds/Android/app/CMakeLists.txt ===
# Automatically generated makefile, created by the Projucer
# Don't edit this file! Your changes will be overwritten when you re-save the Projucer project!

cmake_minimum_required(VERSION 3.4.1)

SET(BINARY_NAME "juce_jni")

add_library("cpufeatures" STATIC "${ANDROID_NDK}/sources/android/cpufeatures/cpu-features.c")
set_source_files_properties("${ANDROID_NDK}/sources/android/cpufeatures/cpu-features.c" PROPERTIES COMPILE_FLAGS "-Wno-sign-conversion -Wno-gnu-statement-expression")

add_definitions("-DJUCE_ANDROID=1" "-DJUCE_ANDROID_API_VERSION=10" "-DJUCE_ANDROID_ACTIVITY_CLASSNAME=com_juce_networkgraphicsdemo_JUCENetworkGraphicsDemo" "-DJUCE_ANDROID_ACTIVITY_CLASSPATH=\"com/juce/networkgraphicsdemo/JUCENetworkGraphicsDemo\"" "-DJUCE_ANDROID_SHARING_CONTENT_PROVIDER_CLASSNAME=com_juce_networkgraphicsdemo_SharingContentProvider" "-DJUCE_ANDROID_SHARING_CONTENT_PROVIDER_CLASSPATH=\"com/juce/networkgraphicsdemo/SharingContentProvider\"" "-DJUCE_PUSH_NOTIFICATIONS=1" "-DJUCER_ANDROIDSTUDIO_7F0E4A25=1" "-DJUCE_APP_VERSION=1.0.0" "-DJUCE_APP_VERSION_HEX=0x10000")

include_directories( AFTER
    "../../../JuceLibraryCode"
    "../../../../../modules"
    "${ANDROID_NDK}/sources/android/cpufeatures"
)

enable_language(ASM)

IF(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")
    add_definitions("-DJUCE_DEBUG=0" "-DDEBUG=1" "-D_DEBUG=1")
ELSEIF(JUCE_BUILD_CONFIGURATION MATCHES "RELEASE")
    add_definitions("-DNDEBUG=1")
ELSE(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")
    MESSAGE( FATAL_ERROR "No matching build-configuration found." )
ENDIF(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")

add_library( ${BINARY_NAME}

    SHARED

    "../../../Source/Demos.h"
    "../../../Source/Main.cpp"
    "../../../Source/MasterComponent.h"
    "../../../Source/SlaveComponent.h"
    "../../../Source/SharedCanvas.h"
    "../../../Source/juce_icon.png"
    "../../../../../modules/juce_audio_basics/audio_play_head/juce_AudioPlayHead.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioChannelSet.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioChannelSet.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioDataConverters.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioDataConverters.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioProcessLoadMeasurer.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioProcessLoadMeasurer.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioSampleBuffer.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_FloatVectorOperations.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_FloatVectorOperations.h"
    "../../../../../modules/juce_audio_basics/effects/juce_CatmullRomInterpolator.cpp"
    "../../../../../modules/juce_audio_basics/effects/juce_CatmullRomInterpolator.h"
    "../../../../../modules/juce_audio_basics/effects/juce_Decibels.h"
    "../../../../../modules/juce_audio_basics/effects/juce_IIRFilter.cpp"
    "../../../../../modules/juce_audio_basics/effects/juce_IIRFilter.h"
    "../../../../../modules/juce_audio_basics/effects/juce_LagrangeInterpolator.cpp"
    "../../../../../modules/juce_audio_basics/effects/juce_LagrangeInterpolator.h"
    "../../../../../modules/juce_audio_basics/effects/juce_LinearSmoothedValue.h"
    "../../../../../modules/juce_audio_basics/effects/juce_Reverb.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiBuffer.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiBuffer.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiFile.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiFile.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiKeyboardState.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiKeyboardState.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessage.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessage.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessageSequence.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessageSequence.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiRPN.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiRPN.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEInstrument.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEInstrument.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEMessages.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEMessages.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPENote.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPENote.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiser.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiser.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserBase.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserBase.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserVoice.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserVoice.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEUtils.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEUtils.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEValue.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEValue.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEZoneLayout.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEZoneLayout.h"
    "../../../../../modules/juce_audio_basics/native/juce_mac_CoreAudioLayouts.h"
    "../../../../../modules/juce_audio_basics/sources/juce_AudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_BufferingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_BufferingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ChannelRemappingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ChannelRemappingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_IIRFilterAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_IIRFilterAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_MemoryAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_MemoryAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_MixerAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_MixerAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_PositionableAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ResamplingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ResamplingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ReverbAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ReverbAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ToneGeneratorAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ToneGeneratorAudioSource.h"
    "../../../../../modules/juce_audio_basics/synthesisers/juce_Synthesiser.cpp"
    "../../../../../modules/juce_audio_basics/synthesisers/juce_Synthesiser.h"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.cpp"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.mm"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioDeviceManager.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioDeviceManager.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODevice.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODevice.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODeviceType.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODeviceType.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_SystemAudioVolume.h"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiInput.h"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiMessageCollector.cpp"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiMessageCollector.h"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiOutput.cpp"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiOutput.h"
    "../../../../../modules/juce_audio_devices/native/juce_android_Audio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_Oboe.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_OpenSL.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_ios_Audio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_ios_Audio.h"
    "../../../../../modules/juce_audio_devices/native/juce_linux_ALSA.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_Bela.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_JackAudio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_mac_CoreAudio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_mac_CoreMidi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_MidiDataConcatenator.h"
    "../../../../../modules/juce_audio_devices/native/juce_win32_ASIO.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_DirectSound.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_WASAPI.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioSourcePlayer.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioSourcePlayer.h"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioTransportSource.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioTransportSource.h"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.cpp"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.mm"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/all.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitmath.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitreader.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitwriter.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/cpu.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/crc.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/fixed.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/float.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/format.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/lpc.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/md5.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/memory.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/metadata.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/stream_encoder.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/stream_encoder_framing.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/window.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/protected/all.h"

=== debian/changelog ===
juce (5.4.1+really5.4.1~repack-3) unstable; urgency=medium

  * Add more missing VST opcodes (Closes: #923529)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 06 Mar 2019 19:22:02 +0100

juce (5.4.1+really5.4.1~repack-2) unstable; urgency=medium

  * Install VSTInterface.h for jor arch:all builds

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 13 Jan 2019 09:42:22 +0100

juce (5.4.1+really5.4.1~repack-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 5.4.1
    * Refresh patches

  * Ported juce_VSTInterface.h from JUCE-5.3.2 to JUCE-5.4.1 (Closes: #913915)
  * Fixed spelling errors
  * Updated d/copyright
    * Fixed 'licensecheck' target
    * Refreshed d/copyright_hints
  * Removed trailing whitespace in d/changelog
  * Bumped standards-version to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 12 Jan 2019 00:45:16 +0100

juce (5.4.1+really5.3.2~repack-1) unstable; urgency=medium

  * Reverted to upstream version 5.3.2 (due to VST issues)
    (Closes: #913915)

  * Fixed cmdline flag for Projucer for the autopkgtest
  * Updated licensecheck ignores

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Dec 2018 17:06:00 +0100

juce (5.4.1~repack-1) unstable; urgency=medium

  * New upstream version 5.4.1~repack

  [ Olivier Humbert ]
  * Fixed typos in README.Debian and README.source

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refreshed patches and removed patch applied upstream
  * Updated d/copyright
    * Regenerated d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 14 Nov 2018 11:22:12 +0100

juce (5.3.2~repack-2) unstable; urgency=medium

  * Backported fix for Projucer crash when saving global search-path
  * Fixed patch-headers in preparation of 'gbp pq'
  * Declare that building this package doesn't require "root" privileges
  * Bumped standards-version to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 26 Oct 2018 22:17:07 +0200

=== debian/control ===
Source: juce
Section: devel
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>= 11),
 pkg-config,
 libasound2-dev,
 libcurl4-gnutls-dev | libcurl-dev,
 libfreetype6-dev,
 libgl1-mesa-dev | libgl-dev,
 libgtk-3-dev,
 libjpeg-dev,
 libwebkit2gtk-4.0-dev,
 libx11-dev,
 libxext-dev,
 libxinerama-dev,
 libxrandr-dev,
 libxcomposite-dev,
 libxcursor-dev,
 zlib1g-dev,
 help2man,
Build-Depends-Indep:
 doxygen,
 graphviz,
 python3,
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://www.juce.com
Vcs-Git: https://salsa.debian.org/multimedia-team/juce.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/juce

Package: juce-modules-source
Architecture: all
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libasound2-dev,
 libcurl4-gnutls-dev | libcurl-dev,
 libfreetype6-dev,
 libgl1-mesa-dev | libgl-dev,
 libx11-dev,
 libxext-dev,
 libxinerama-dev,
 libxrandr-dev,
 zlib1g-dev | libz-dev,
 libwebkit2gtk-4.0-dev,
 libgtk-3-dev,
 libflac-dev,
 libjpeg-dev,
 libpng-dev,
 libvorbis-dev,
Recommends:
 lv2-dev,
Replaces: libjuce-dev (<< 5.2.0~)
Breaks: libjuce-dev (<< 5.2.0~)
Description: Jules' Utility Class Extensions (module sources)
 JUCE (Jules' Utility Class Extensions) is an all-encompassing C++ framework for
 developing cross-platform software.
 .
 It contains pretty much everything you're likely to need to create most
 applications, and is particularly well-suited for building highly-customised
 GUIs, and for handling graphics and sound.
 .
 This package provides the sources for the JUCE modules, as used by 'jucer'
 projects. (Projucer is provided in the 'juce-tools' package).

Package: juce-tools
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: juce-modules-source
Breaks: introjucer
Replaces: introjucer
Conflicts: introjucer
Description: JUCE's project management tools
 JUCE (Jules' Utility Class Extensions) is an all-encompassing C++ framework for
 developing cross-platform software.
 The Projucer (formerly Introjucer) is JUCE's project-management tool and secret
 weapon.
 .
 The Projucer's Duties:
  - Central management of cross-platform builds
  - JUCE Module Management
  - New Project Creation
  - User-Interface Design Tool
  - Plug-in Projects
  - Miscellaneous Utilities

Package: libjuce-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Suggests: juce-modules-source
Description: Jules' Utility Class Extensions (documentation)
 JUCE (Jules' Utility Class Extensions) is an all-encompassing C++ framework for
 developing cross-platform software.
 .
 It contains pretty much everything you're likely to need to create most
 applications, and is particularly well-suited for building highly-customised
 GUIs, and for handling graphics and sound.
 .
 This package contains html documentation for the JUCE API.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2015 IOhannes m zmölnig <umlaeute@debian.org>
# Description: Main Debian packaging script for JUCE

## export dummy TARGET_ARCH that doesn't do much,
## but disables "-march=native" optimization
export TARGET_ARCH=-Wl,--as-needed

DEB_SRCDIR=extras/Projucer/Builds/LinuxMakefile
DEBIAN_BUILD_ARTIFACTS = debian/artifacts

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        \.git/.*|debian/.*|.*\.gif|.*\.jpg|.*\.JPG|.*\.png|.*\.ico|.*\.icns|.*\.wav|.*\.caf|.*\.ogg|.*\.mp3|.*\.pdf|.*\.keystore|.*\.nib|.*/gradle-wrapper\.jar|.*\.zip


#DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
#^((.*\.jpg)|(.*\.JPG)|(.*\.gif)|(.*\.png)|(.*\.ico)|(.*\.icns)|(gradle-wrapper\.jar)|(.*\.mp3)|(.*\.caf)|(.*\.nib)|examples/InAppPurchase/Signing/InAppPurchase\.keystore|examples/(InAppPurchase/BinaryData/(Robot|Ed|Jules|JB|Fabian|Lukasz)[012]\.ogg|AUv3Synth|PlugInSamples/MultiOutSynth)/Source/BinaryData/singing\.ogg|examples/Demo/Resources/cello\.wav|examples/Demo/Resources/icons\.zip|modules/juce_audio_plugin_client/RTAS/juce_RTAS_WinResources\.rsr|examples/ComponentTutorialExample/Introduction to Components - Part 1\.pdf|debian/(changelog|copyright(|_hints|_newhints)))$

LDFLAGS += $(shell pkg-config --libs libjpeg libpng zlib)

%:
	dh $@

override_dh_auto_build-arch:
	cp $(CURDIR)/examples/DemoRunner/Builds/iOS/DemoRunner/Images.xcassets/AppIcon.appiconset/Icon.png \
		$(DEBIAN_BUILD_ARTIFACTS)/juce.png
	dh_auto_build -D $(DEB_SRCDIR) -- \
		V=1 \
		LDFLAGS="$(LDFLAGS)" \
		$(empty)
	make -C debian/extra/lv2-ttl-generator/
	help2man -N \
		--version-string="Projucer $(DEB_UPSTREAM_VERSION)" \
		-n "the JUCE project-management tool" \
		debian/scripts/Projucer-help2man \
		> $(DEBIAN_BUILD_ARTIFACTS)/Projucer.1

override_dh_auto_build-indep:
	make -C doxygen

override_dh_auto_install-arch:
	install -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/juce/lv2-ttl-generator
	install debian/extra/lv2-ttl-generator/lv2_ttl_generator debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/juce/lv2-ttl-generator/lv2_ttl_generator
	install debian/extra/lv2-ttl-generator/generate-ttl.sh debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/juce/lv2-ttl-generator/generate-ttl.sh

override_dh_auto_install-indep:
	-dh_doxygen doxygen/doc/

override_dh_install-indep:
	dh_install --indep -X.tag
	-find $(CURDIR)/debian/juce-modules-source/usr/share/juce \
		-type f -executable \
		'(' -name "*.h" -or -name "*.cpp" ')' \
		-exec chmod -c 0644 {} +

override_dh_installchangelogs:
	dh_installchangelogs ChangeList.txt

override_dh_clean:
	dh_clean
	make -C doxygen/ clean
	make -C debian/extra/lv2-ttl-generator/ clean
	rm -rf build $(DEB_SRCDIR)/build
	rm -f $(DEBIAN_BUILD_ARTIFACTS)/*


licensecheck:
	licensecheck -i "^\./($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
opts=dversionmangle=s/[~+](dfsg|repack)(\.[0-9]*)?$// \
  https://github.com/julianstorer/JUCE/releases .*/v?(\d\S*)\.tar\.gz
